Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_CERA.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_CERA.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_CERA.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,40 @@
+DAY1 20000908
+DTIME 3
+TYPE AN AN AN AN AN AN AN AN
+TIME 00 03 06 09 12 15 18 21 
+STEP 00 00 00 00 00 00 00 00
+ACCTYPE FC
+ACCTIME 18
+ACCMAXSTEP 24
+CLASS EP
+NUMBER 0
+STREAM ENDA
+EXPVER 1
+GRID 2000  
+LEFT -24000
+LOWER 10000
+UPPER 74000
+RIGHT 60000
+LEVEL 91
+LEVELIST 1/to/91
+RESOL 159
+GAUSS 0
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 1
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+ADDPAR 
+CWC 1
+PREFIX CE
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILFAIL ${USER}
+MAILOPS ${USER}
+GRIB2FLEXPART 0
+EOF
+
Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_EI.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_EI.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_EI.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,38 @@
+DAY1 20150809  
+DTIME 3
+TYPE AN FC FC FC AN FC FC FC
+TIME 00 00 00 00 12 12 12 12
+STEP 00 03 06 09 00 03 06 09
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS EI
+STREAM OPER
+NUMBER OFF
+EXPVER 1
+GRID 750  
+LEFT -24750
+LOWER 10500
+UPPER 75000
+RIGHT 60000
+LEVEL 60
+LEVELIST 1/to/60
+CWC 0
+RESOL 255
+GAUSS 1
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 0
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+PREFIX EI
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILOPS ${USER}
+MAILFAIL ${USER}
+GRIB2FLEXPART 0
+EOF
Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.36hours.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.36hours.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.36hours.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,39 @@
+DAY1 20180809  
+DTIME 3
+TYPE FC
+TIME 00
+STEP 00
+MAXSTEP 36
+ACCTYPE FC
+ACCTIME 00
+ACCMAXSTEP 36
+CLASS OD
+STREAM OPER
+NUMBER OFF
+EXPVER 1
+GRID 1000 
+LEFT  10000
+LOWER 40000
+UPPER 45000
+RIGHT 15000
+LEVEL 137
+LEVELIST 130/to/137
+CWC 1
+RESOL 255
+GAUSS 0
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 1
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+PREFIX FC
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILOPS ${USER}
+MAILFAIL ${USER}
+GRIB2FLEXPART 0
+EOF
Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,39 @@
+DAY1 20190701  
+DTIME 3
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+BASETIME 00
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS OD
+STREAM OPER
+NUMBER OFF
+EXPVER 1
+GRID 500 
+LEFT  10000
+LOWER 40000
+UPPER 45000
+RIGHT 15000
+LEVEL 137
+LEVELIST 130/to/137
+CWC 1
+RESOL 255
+GAUSS 0
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 1
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+PREFIX BT
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILOPS ${USER}
+MAILFAIL ${USER}
+GRIB2FLEXPART 0
+EOF
Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.eta.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,39 @@
+DAY1 20180809  
+DTIME 1
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+BASETIME 00
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS OD
+STREAM OPER
+NUMBER OFF
+EXPVER 1
+GRID 200 
+LEFT  10000
+LOWER 40000
+UPPER 45000
+RIGHT 15000
+LEVEL 137
+LEVELIST 130/to/137
+CWC 1
+RESOL 799
+GAUSS 0
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 1
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+PREFIX ENE
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILOPS ${USER}
+MAILFAIL ${USER}
+GRIB2FLEXPART 0
+EOF
Index: Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.gauss.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.gauss.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.0.4/Controls/CONTROL_OD.OPER.FC.gauss.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,39 @@
+DAY1 20180809
+DTIME 1
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS OD
+NUMBER OFF
+STREAM OPER
+EXPVER 1
+GRID 200  
+LEFT  10000
+LOWER 40000
+UPPER 45000
+RIGHT 15000
+LEVEL 137
+LEVELIST 130/TO/137
+RESOL 799
+GAUSS 1
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 0
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+CWC 0
+PREFIX ENG
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILFAIL ${USER}
+MAILOPS ${USER}
+GRIB2FLEXPART 0
+EOF
+
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_CERA.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_CERA.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_CERA.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,22 @@
+START_DATE 20090809
+DTIME 3
+TYPE AN AN AN AN AN AN AN AN
+TIME 00 03 06 09 12 15 18 21 
+STEP 00 00 00 00 00 00 00 00
+ACCTYPE FC
+ACCTIME 18
+ACCMAXSTEP 24
+CLASS EP
+NUMBER 0
+STREAM ENDA
+GRID 2.  
+LEFT -24.
+LOWER 10.
+UPPER 74.
+RIGHT 60.
+LEVELIST 1/to/91
+RESOL 159
+ETA 1
+CWC 1
+PREFIX CE
+ECTRANS 1
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_EI.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_EI.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_EI.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,21 @@
+START_DATE 20090809 
+DTIME 3
+TYPE AN FC FC FC AN FC FC FC
+TIME 00 00 00 00 12 12 12 12
+STEP 00 03 06 09 00 03 06 09
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS EI
+STREAM OPER
+GRID 0.750  
+LEFT -24.75
+LOWER 10.5
+UPPER 75.
+RIGHT 60.
+LEVELIST 1/to/60
+RESOL 255
+GAUSS 1
+FORMAT GRIB2
+PREFIX EI
+ECTRANS 1
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.36hours.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.36hours.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.36hours.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,22 @@
+START_DATE 20180809
+DTIME 3
+TYPE FC
+TIME 00
+STEP 00
+MAXSTEP 36
+ACCTYPE FC
+ACCTIME 00
+ACCMAXSTEP 36
+CLASS OD
+STREAM OPER
+GRID 1.  
+LEFT  10.
+LOWER 40.
+UPPER 45.
+RIGHT 15.
+LEVELIST 130/TO/137
+RESOL 255
+ETA 1
+CWC 1
+PREFIX FC
+ECTRANS 1
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.basetime.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,23 @@
+START_DATE 20190701
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+BASETIME 00
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+DTIME 3
+LEFT  10.
+LOWER 40.
+UPPER 45.
+RIGHT 15.
+CLASS OD
+STREAM OPER
+GRID 0.5
+RESOL 255
+ETA 1
+LEVELIST 130/to/137
+FORMAT GRIB2
+ECTRANS 1
+CWC 1
+PREFIX BT
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.eta.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,18 @@
+START_DATE 20180809
+DTIME 1
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+CLASS OD
+STREAM OPER
+GRID 0.2  
+LEFT  10.
+LOWER 40.
+UPPER 45.
+RIGHT 15.
+LEVELIST 130/TO/137
+RESOL 799
+ETA 1
+FORMAT GRIB2
+PREFIX ENE
+ECTRANS 1
Index: Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.gauss.compare
===================================================================
--- Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.gauss.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
+++ Testing/Regression/Compare_gribfiles/7.1/Controls/CONTROL_OD.OPER.FC.gauss.compare	(revision aad03f21fdf81584a239fec9ccb563159e4cc98c)
@@ -0,0 +1,21 @@
+START_DATE 20180809
+DTIME 1
+TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+ACCTIME 00/12
+ACCTYPE FC
+ACCMAXSTEP 12
+CLASS OD
+STREAM OPER
+GRID 0.2  
+LEFT  10.
+LOWER 40.
+UPPER 45.
+RIGHT 15.
+LEVELIST 130/TO/137
+RESOL 799
+GAUSS 1
+FORMAT GRIB2
+PREFIX ENG
+ECTRANS 1
